Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class ValuePath

    java.lang.Object
      org.apache.openjpa.kernel.exps.Val
          org.apache.openjpa.kernel.exps.CandidatePath
              org.apache.openjpa.kernel.exps.ValuePath

All Implemented Interfaces:
  Serializable, Path, Value

     class ValuePath

extends CandidatePath

Represents a path that begins with a variable or parameter.

Author:
  Abe White

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.kernel.exps.CandidatePath
`CandidatePath.Traversal`

Field Summary

Fields inherited from class org.apache.openjpa.kernel.exps.CandidatePath
`_actions, _correlationVar`

Constructor Summary
`ValuePath(Val val)` Constructor.

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`protected Object` | `eval(Object candidate, Object orig, StoreContext ctx, Object[] params)` Return this value for the given candidate.
`Class` | `getCandidateType()`

Methods inherited from class org.apache.openjpa.kernel.exps.CandidatePath
`castTo, equals, get, get, get, getCorrelationVar, getSchemaAlias, getType, getXmlMapping, hashCode, last, setImplicitType, setSchemaAlias, setSubqueryContext`

Methods inherited from class org.apache.openjpa.kernel.exps.Val
`eval, evaluate, evaluate, getAlias, getMetaData, getName, getPath, getSelectAs, isAggregate, isVariable, isXPath, setAlias, setMetaData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.kernel.exps.Value
`getAlias, getMetaData, getName, getPath, getSelectAs, isAggregate, isVariable, isXPath, setAlias, setMetaData`

Constructor Detail

### ValuePath

    public ValuePath(Val val)

  Constructor. Supply context value.

Method Detail

### getCandidateType

    public Class getCandidateType()

  Overrides:
    `getCandidateType` in class `CandidatePath`

### eval

    protected Object eval(Object candidate,
                          Object orig,
                          StoreContext ctx,
                          Object[] params)

  Description copied from class: `Val`
  Return this value for the given candidate.

  Overrides:
    `eval` in class `CandidatePath`

### acceptVisit

    public void acceptVisit(ExpressionVisitor visitor)

  Description copied from interface: `Value`
  Accept a visit from a tree visitor.

  Specified by:
    `acceptVisit` in interface `Value`
  Overrides:
    `acceptVisit` in class `Val`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.